Subject: Re: [PATCH 1/5] bonding: mc addresses don't get deleted on enslave failure

From: Nikolay Aleksandrov <[email-masked]>
Date: Thu, 18 Apr 2013 19:15:07 +0200

On 18/04/13 18:58, Jay Vosburgh wrote:
> Nikolay Aleksandrov <[email-masked]> wrote:
> 
>> Add dev_mc_del after err_detach as that's the first error path
>> after they're added. The main issue is the mc addresses' refcount
>> which only gets bumped up.
>>
>> Signed-off-by: Nikolay Aleksandrov <[email-masked]>
> 
> 	All 5 of these patches look good to me.  The only minor nits are
> that the above description says "dev_mc_del," but the actual function
> call added is bond_mc_list_flush (which in turn does call dev_mc_dev),
> and that this patch (#1) modifies the lacpdu_multicast variable
> initialization, which isn't really necessary for the bug fix.
> 
> 	-J
> 
> 

Yes, that all is because initially I wrote it directly with dev_mc_del
where I needed the variable and then I changed it to use
bond_mc_list_flush. I'll re-post v2 with updated log message and
without that initialization, sorry about this.

Nik